/************************************************************************
*																		*
* 2 matrisi carpan program												*
* derlemek icin: gcc -o program_ismi 6.cpp								*
*																		*
************************************************************************/

#include <stdio.h>

#define BOYUT 3

typedef int matris_tip[BOYUT][BOYUT];

void yaz(matris_tip);

int main()
{
	matris_tip A, B, C={};
	int i, j, k;
	
	
	//matrisler okunuyor
	printf("A matrisinin elemanlarini giriniz(%dx%d)\n",BOYUT,BOYUT);
	for (i = 0; i < BOYUT; i++)
		for (j = 0; j < BOYUT; j++)
			scanf("%d", &A[i][j]);
	
	printf("B matrisinin elemanlarini giriniz(%dx%d)\n",BOYUT,BOYUT);
	for (i = 0; i < BOYUT; i++)
		for (j = 0; j < BOYUT; j++)
			scanf("%d", &B[i][j]);
	
	printf("A matrisi:\n");
	yaz(A);
	printf("B matrisi:\n");
	yaz(B);
	
	for (i = 0; i < BOYUT; i++)
		for (j = 0; j < BOYUT; j++)
			for (k = 0; k < BOYUT; k++)
				C[i][j] += A[i][k] * B[k][j];  //C[i][j] = C[i][j] + A[i][k] * B[k][j];
	            
	printf("A*B matrisi:\n");
	yaz(C);
	system("PAUSE");
	return 0;
}

void yaz(matris_tip matris)
{
	int i, j;
	
	for (i = 0; i < BOYUT; i++){
		for (j = 0; j < BOYUT; j++)
			printf("%d ", matris[i][j]);
		printf("\n");
	}
}
